//---------------------------------------------------------------------------------------
#include <AccelStepper.h>
#include <Wire.h>
#define SLAVE_ADDRESS       0x07      // Адрес шины i2c для связи с внешним миром. Slave
int stepp = 0;
int steppChangedFlag = 1;
// Define a stepper and the pins it will use
AccelStepper stepper(1,10,9); // //использует пин 9 для dir и 10 для step, 1 - режим "external driver" (A4988)
//---------------------------------------------------------------------------------------
void setup() {
  Wire.begin(SLAVE_ADDRESS); // Инициализация библиотеки для шины i2c
  Wire.onReceive(receiveData);
  Wire.onRequest(sendData);
  stepper.setMaxSpeed(10.0);
  stepper.setAcceleration(10.0);
}  
//---------------------------------------------------------------------------------------
void loop() {
// put your main code here, to run repeatedly
  if(stepper.distanceToGo()==0){
    stepper.runToNewPosition(stepp);
  }
}
//---------------------------------------------------------------------------------------
//void steppto(int stepp) {
//  stepper.runToNewPosition(stepp);
//}
//---------------------------------------------------------------------------------------
void receiveData(int byteCount) { // callback для принимаемых по i2c байтов
  while(Wire.available()) {
    stepp = Wire.read(); steppChangedFlag = 1;
  }
}
//---------------------------------------------------------------------------------------
void sendData() { // callback для передаваемых по i2c байтов
    Wire.write(stepp);
}
//---------------------------------------------------------------------------------------

